\name{Mantel coefficient between two sets of variables}
\alias{mantel}
\title{
Mantel coefficient two sets of variables
}

\description{
Mantel coefficient between two sets of variables.
}

\usage{
mantel(y, x)
}

\arguments{
\item{y}{
A numerical matrix.
}
\item{x}{
A numerical matrix.
}
}

\details{
The Mantel coefficient is simply the Pearson correlation coefficient computed on the off-diagonal elements of the distance matrix of each each matrix (or set of variables).
}

\value{
The Mantel coefficient.
}

\references{
Abdi H. (2010). Congruence: Congruence coefficient, RV coefficient, and Mantel coefficient. Encyclopedia of Research Design, 3, 222--229.
}

\author{
Michail Tsagris

R implementation and documentation: Michail Tsagris \email{mtsagris@uoc.gr}.
}

%\note{
%%  ~~further notes~~
%}

\seealso{
\code{ \link{rv}, \link{dcor}
}
}

\examples{
mantel( as.matrix(iris[, 1:2]), as.matrix(iris[, 3:4]) )
}


